Name: sweets-desktop
Version: 0.8
Epoch: 1
Release: 23.3
Group: Development/Tools/Other
Summary: Sweets Desktop meta package
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Sweets_Distribution

Source: sweets-desktop-0.8.tar.gz
Source1: sweet.tar.gz



Requires: PackageKit
Requires: sweets-sugar
Requires: sugar-plugin-proxy
Requires: sugar-plugin-sn
Requires: sugar-plugin-telepathy

BuildRequires: python

Provides: sweets-distribution
Obsoletes: sweets-distribution

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Sweets Desktop meta package

%prep
%setup -n sweets-desktop-0.8

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0644 -D etc/network-manager-settings.conf %{buildroot}/.dest/%{_sysconfdir}/dbus-1/system.d/sweets-network-manager-settings.conf && install -m 0755 -d %{buildroot}/.dest/%{_datadir} && cp -r share/* %{buildroot}/.dest/%{_datadir}/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sweets-desktop && cp AUTHORS COPYING README %{buildroot}/.dest/%{_datadir}/doc/sweets-desktop/ && for i in `ls po/*.po`; do d=%{buildroot}/.dest/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugins.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sweets-desktop.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sweets-desktop
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sweets-desktop/pydirs)
echo /opt/sweets/sweets-desktop/pydirs >> sweets-desktop.files

%post
test -e /opt/sweets/sweets-desktop/pydirs && for i in `cat /opt/sweets/sweets-desktop/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sweets-desktop/pydirs && for i in `cat /opt/sweets/sweets-desktop/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-desktop.files

%changelog
